# skbio.diversity.alpha.chao1_ci

`skbio.diversity.alpha.``chao1_ci`(counts, bias_corrected=True, zscore=1.96)

  Calculate chao1 confidence interval.

  State: Experimental as of 0.4.0.

  Parameters:

  counts : 1-D array_like, int

  > Vector of counts.

  bias_corrected : bool, optional

  > Indicates whether or not to use the bias-corrected version of the equation. If `False` and there are both singletons and doubletons, the uncorrected version will be used. The biased-corrected version will be used otherwise.

  zscore : scalar, optional

  > Score to use for confidence. Default of 1.96 is for a 95% confidence interval.

  Returns:

  tuple

  > chao1 confidence interval as `(lower_bound, upper_bound)`.

  See also

  `chao1`

  Notes

  The implementation here is based on the equations in the EstimateS manual [R22]. Different equations are employed to calculate the chao1 variance and confidence interval depending on bias_corrected and the presence/absence of singletons and/or doubletons.

  Specifically, the following EstimateS equations are used:

  1. No singletons, Equation 14.
  2. Singletons but no doubletons, Equations 7, 13.
  3. Singletons and doubletons, `bias_corrected=True`, Equations 6, 13.
  4. Singletons and doubletons, `bias_corrected=False`, Equations 5, 13.

  References

  [R22] | (1, 2) http://viceroy.eeb.uconn.edu/estimates/